[SRU] New stable micro release 2.30 and 2.31

Bug #1692102 reported by Sergio Schvezov on 2017-05-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapcraft (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

This is an SRU bug to release 2.30 and 2.31 of snapcraft which follows the guidelines defined in the wiki over at https://wiki.ubuntu.com/SnapcraftUpdates

The list of bugs and features in this release are defined at https://launchpad.net/snapcraft/+milestone/2.30 and https://launchpad.net/snapcraft/+milestone/2.31; and https://github.com/snapcore/snapcraft/milestone/4?closed=1 and https://github.com/snapcore/snapcraft/milestone/6?closed=1

More detailed information and procedures for this release can be found on https://forum.snapcraft.io/t/in-progress-snapcraft-2-30/347?u=sergiusens
and
https://forum.snapcraft.io/t/in-progress-snapcraft-2-31/682?u=sergiusens

Leo Arias (elopio) wrote :

In order to accept this release in the -updates pockets of xenial, yakkety and zesty, the following tests must be executed:

Plugins:
 * Run the kernel manual tests documented in `manual-tests.md`.
 * Build a snap with that uses meson.

Sources:
 * Build a snap with a 7zip source.

Store:
 * Run the release, close and status commands in snaps with channels.

Exploratory:

 * Build snaps with SNAPCRAFT_BUILD_INFO=1
   * Check that a snap can be build with the resulting `snap/prime/snapcraft.yaml`.
 * Run all the snapcraft commands in different scenarios including failure conditions.
 * Cleanbuild snaps with local and remote containers.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapcraft - 2.30+17.10

---------------
snapcraft (2.30+17.10) artful; urgency=medium

  [ Sergio Schvezov ]
  * cli: new UI and internal refactor (#1307)
  * cli: proper error for failed snap command (#1325)
  * Revert "tests: remove the reusable parts tour test (#1321)" (#1324)
  * store: collaboration UI for snaps (#1288)
  * New upstream release 2.30 (LP: #1692102)

  [ Leo Arias ]
  * tests: initial setup for the snapcraft snap tests with spread (#1272)
  * misc: rename the snap dir variable to prime dir (#1279)
  * recording: save the snapcraft.yaml in the resulting snap (#1278)
  * tests: minor cleanups on the spread tests (#1287)
  * tests: refactor tests with build and stage packages (#1290)
  * parts: remove the deprecated snap keyword from the internal representation (#1282)
  * tests: fix the recording tests to work in multiple architectures (#1292)
  * recording: record stage packages installed in the snap (#1293)
  * recording: record build packages installed in the snap (#1295)
  * tests: increase the staging registration limit to 100 (#1271)
  * tests: use C.UTF-8 for the docker locale (#1310)
  * state: save the dependencies of build packages (#1299)
  * recording: record global build-packages installed on the host (#1306)
  * state: fix the name of the source details (#1312)
  * meta: read and write the desktop file with utf-8 encoding (#1309)
  * cleanbuild: set the container language to C.UTF-8 (#1304)
  * tests: remove the reusable parts tour test (#1321)
  * recording: save the details of the source pulled (#1317)
  * state: ignore the 'any' architecture in the build packages apt cache (#1322)
  * state: search for the build package that provides a virtual package (#1323)

  [ Facundo Batista ]
  * store: support for channel branches in responses for release, close, and status (#1280)

  [ Christian Dywan ]
  * lxd: pass through commands into the container (#1263)
  * lxd: setup image and target arch for cross-compilation (#1286)
  * lxd: support the architectures field from older LXDs (#1305)
  * lxd: mock platform in the FakeLXD fixture (#1315)

  [ Paolo Pisati ]
  * kernel plugin: learn how to assemble the ubuntu config using kconfigflavour (#1285)
  * kernel plugin: slightly improve the messaging of check_config() (#1303)
  * kernel plugin: do not warn about DMIID in config check (#1319)
  * kernel_plugin: use CROSS_COMPILE to override the default toolchain (#1242)
  * cli: allow uts machine arch as a valid --target-arch option (#1204)
  * kernel plugin: verify kernel config is correct (#1223)

  [ Tim Süberkrüb ]
  * sources: add support for 7-zip files (#1168)

  [ JulianLiu ]
  * meson plugin: add a plugin for meson build system (#1294)

  [ roxd ]
  * rust plugin: use of source-subdir without failing on pull (#1296)

  [ edvega ]
  * sources: validate unknown source-type in yaml (#1297)

  [ Ricardo N Feliciano ]
  * docs: add missing VCS dependencies to HACKING.md (#1311)
  * cli: allow capital Y to accept the dev agreement (#1308)

 -- Sergio Schvezov <email address hidden> Fri, 19 May 2017 17:39:34 -0300

Changed in snapcraft (Ubuntu Artful):
status: New → Fix Released
Andy Whitcroft (apw) wrote :

Note that we are currently investigating an interaction between the new dependency on python3-click and if you have the pre-snap click package manager installed which also has a python3-click-package which conflicts with python3-click (they are both click/* on disk).

If you have click installed a dist-upgrade will hold snapcraft.

Hello Sergio, or anyone else affected,

Accepted snapcraft into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.30+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapcraft (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed
Changed in snapcraft (Ubuntu Yakkety):
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Sergio, or anyone else affected,

Accepted snapcraft into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.30+16.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapcraft (Ubuntu Xenial):
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Sergio, or anyone else affected,

Accepted snapcraft into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.30 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
summary: - [SRU] New stable micro release 2.30
+ [SRU] New stable micro release 2.30 and 2.31
Brian Murray (brian-murray) wrote :

As a part of the Stable Release Update testing I'd like to see the following test performed.

1) Install snapcraft and python3-click-package from the release pocket
2) Enable -proposed
3) Manually upgrade to the new version of snapcraft
4) Ensure that the new python3-click-package from -proposed (with the rename) is installed

Thanks!

Brian Murray (brian-murray) wrote :

Hello Sergio, or anyone else affected,

Accepted snapcraft into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.31+17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Sergio, or anyone else affected,

Accepted snapcraft into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.31+16.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Sergio, or anyone else affected,

Accepted snapcraft into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapcraft/2.31 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Leo Arias (elopio) wrote :

In order to accept this release in the -updates pockets of xenial, yakkety and zesty, the following tests must be executed:

Plugins:

 * Build a Qt snap using the default version.
 * Build go snaps for different architectures using --target-arch.

Exploratory:

 * Build snaps with build-packages.
 * Build classic snaps.
 * Run all the snapcraft commands in different scenarios including failure conditions.

And the tests mentioned by Brian in comment #7.

Leo Arias (elopio) wrote :

I ran extensive tests using snapcraft 2.31 after an upgrade from 2.29 in xenial, yakkety and zesty.
Some more details here: https://forum.snapcraft.io/t/in-progress-snapcraft-2-31/682/8

I've also made a call for testing in case more people want to give it a try during the weekend. Early on monday I'll mark it as verified if no blockers are found.

Thanks to everybody who helped getting this into proposed.

Leo Arias (elopio) wrote :

I've just marked this bug as verified. Please, accept it in -updates. Thank you!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapcraft - 2.31+17.04

---------------
snapcraft (2.31+17.04) zesty; urgency=medium

  [ Sergio Schvezov ]
  * storeapi: resume snap downloads (#1330)
  * cli: remove double congrats messaging (#1351)
  * cli: do not duplicate errors (#1347)
  * cli: default options for the implicit snap command (#1353)
  * go plugin: filter the main packages when go-packages are defined (#1355)
  * New upstream release 2.31 (LP: #1692102)

  [ Colin Watson ]
  * store: send X-Ubuntu-Series, not X-Ubuntu-Release (#1320)

  [ Kyle Fazzari ]
  * docs: improve onboarding experience (#1336)
  * catkin plugin: add support for rosinstall files (#1314)
  * common: find data files via sys.prefix (#1356)

  [ Tim Süberkrüb ]
  * qmake plugin: set default qt version (#1328)
  * tour: use https for source urls (#1329)

  [ Leo Arias ]
  * tests: small updates for manual kernel tests (#1327)
  * tests: use the fake apt cache in deb unit tests (#1334)
  * state: save all the build packages as global (#1340)

  [ Michał Sawicz ]
  * sources: don't use --remote for updating git submodules (#1344)

  [ Christian Dywan ]
  * go plugin: add support for cross-compilation (#1338)
  * go plugin: cross compile with CGo (#1343)
  * plugins: clarify wording of cross-compilation unsupported error (#1349)

 -- Sergio Schvezov <email address hidden> Wed, 07 Jun 2017 22:51:40 -0300

Changed in snapcraft (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapcraft has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapcraft - 2.31+16.10

---------------
snapcraft (2.31+16.10) yakkety; urgency=medium

  [ Sergio Schvezov ]
  * storeapi: resume snap downloads (#1330)
  * cli: remove double congrats messaging (#1351)
  * cli: do not duplicate errors (#1347)
  * cli: default options for the implicit snap command (#1353)
  * go plugin: filter the main packages when go-packages are defined (#1355)
  * New upstream release 2.31 (LP: #1692102)

  [ Colin Watson ]
  * store: send X-Ubuntu-Series, not X-Ubuntu-Release (#1320)

  [ Kyle Fazzari ]
  * docs: improve onboarding experience (#1336)
  * catkin plugin: add support for rosinstall files (#1314)
  * common: find data files via sys.prefix (#1356)

  [ Tim Süberkrüb ]
  * qmake plugin: set default qt version (#1328)
  * tour: use https for source urls (#1329)

  [ Leo Arias ]
  * tests: small updates for manual kernel tests (#1327)
  * tests: use the fake apt cache in deb unit tests (#1334)
  * state: save all the build packages as global (#1340)

  [ Michał Sawicz ]
  * sources: don't use --remote for updating git submodules (#1344)

  [ Christian Dywan ]
  * go plugin: add support for cross-compilation (#1338)
  * go plugin: cross compile with CGo (#1343)
  * plugins: clarify wording of cross-compilation unsupported error (#1349)

 -- Sergio Schvezov <email address hidden> Wed, 07 Jun 2017 22:51:40 -0300

Changed in snapcraft (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapcraft - 2.31

---------------
snapcraft (2.31) xenial; urgency=medium

  [ Sergio Schvezov ]
  * storeapi: resume snap downloads (#1330)
  * cli: remove double congrats messaging (#1351)
  * cli: do not duplicate errors (#1347)
  * cli: default options for the implicit snap command (#1353)
  * go plugin: filter the main packages when go-packages are defined (#1355)
  * New upstream release 2.31 (LP: #1692102)

  [ Colin Watson ]
  * store: send X-Ubuntu-Series, not X-Ubuntu-Release (#1320)

  [ Kyle Fazzari ]
  * docs: improve onboarding experience (#1336)
  * catkin plugin: add support for rosinstall files (#1314)
  * common: find data files via sys.prefix (#1356)

  [ Tim Süberkrüb ]
  * qmake plugin: set default qt version (#1328)
  * tour: use https for source urls (#1329)

  [ Leo Arias ]
  * tests: small updates for manual kernel tests (#1327)
  * tests: use the fake apt cache in deb unit tests (#1334)
  * state: save all the build packages as global (#1340)

  [ Michał Sawicz ]
  * sources: don't use --remote for updating git submodules (#1344)

  [ Christian Dywan ]
  * go plugin: add support for cross-compilation (#1338)
  * go plugin: cross compile with CGo (#1343)
  * plugins: clarify wording of cross-compilation unsupported error (#1349)

 -- Sergio Schvezov <email address hidden> Wed, 07 Jun 2017 22:51:40 -0300

Changed in snapcraft (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers